Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1684998

Summary: gi-gtk fails to build on armv7hl
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: ghc-gi-gtkAssignee: Jens Petersen <petersen>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jeremy.linton, petersen
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: armv7hl   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-01-25 20:53:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    

Description Jens Petersen 2019-03-04 06:11:53 UTC
Description of problem:
Summary pretty much says it all

Actual results:
[484 of 498] Compiling GI.Gtk.Functions ( GI/Gtk/Functions.hs, dist/build/GI/Gtk/Functions.o )
BUILDSTDERR: ghc: internal error: getMBlock: mmap: Invalid argument
BUILDSTDERR:     (GHC version 8.4.4 for arm_unknown_linux)
BUILDSTDERR:     Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug
BUILDSTDERR: /var/tmp/rpm-tmp.McmHQu: line 52:  5271 Aborted                 (core dumped) ./Setup build

Comment 1 Jens Petersen 2019-03-04 06:13:49 UTC
I filed an upstream bug: https://ghc.haskell.org/trac/ghc/ticket/16383

Comment 2 Ben Cotton 2020-04-30 22:15:41 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jens Petersen 2020-07-20 05:31:59 UTC
Building with -O0 does not seem to help (on ghc-8.8.4):

[473 of 504] Compiling GI.Gtk.Objects.TextBuffer ( GI/Gtk/Objects/TextBuffer.hs, dist/build/GI/Gtk/Objects/TextBuffer.o )
ghc: out of memory (requested 2097152 bytes)

Comment 4 Jeremy Linton 2024-01-25 20:53:48 UTC
This one should probably be closed as 32-bit arm systems are no longer supported.